public class m11RPGid_ScriptContext {

	public static final int SCRIPTSTATE_NONE = 0;
	public static final int SCRIPTSTATE_CODELOAD = 1;
	public static final int SCRIPTSTATE_CODEEXEC = 2;
	public static final int SCRIPTSTATE_CODEEXIT = 3;

	public int pos;

	public m11RPGid_ScriptCode[] list;

	public int status;
	public int stage;
	public int if_level;

	public m11RPGid_ScriptContext caller_context;

	public int localVar[];

	public m11RPGid_ScriptContext() {

		localVar = new int[16];

		reset();

	}

	public void reset() {

		pos = 0;

		list = null;

		status = 0;
		stage = 0;
		if_level = 0;

		caller_context = null;

		for (int i = 0;i < 16;i++) {
			localVar[i] = 0;
		}

	}

	static public m11RPGid_ScriptContext createScriptContext(m11RPGid_ScriptCode code, m11RPGid_ScriptContext caller) {

		if (code == null) {
			return null;
		}

		m11RPGid_ScriptCode[] list = new m11RPGid_ScriptCode[1];

		list[0] = new m11RPGid_ScriptCode(code);

		return createScriptContext(list, caller);

	}

	static public m11RPGid_ScriptContext createScriptContext(m11RPGid_ScriptCode[] list, m11RPGid_ScriptContext caller) {

		if (list == null) {
			return null;
		}

		m11RPGid_ScriptContext context = new m11RPGid_ScriptContext();

		context.list = new m11RPGid_ScriptCode[list.length];

		for (int i = 0;i < list.length;i++) {
			context.list[i] = new m11RPGid_ScriptCode(list[i]);
		}

		context.status = SCRIPTSTATE_CODELOAD;

		context.caller_context = caller;

		return context;

	}

}
